smbios_cache_t Struct Reference
Public interface » ID macros » SMBIOS structures

cache information More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
hd_smbios_type_t | type
int | data_len
unsigned char * | data
str_list_t * | strings
int | handle
char * | socket
| socket designation
unsigned | max_size
| max cache size in kbytes
unsigned | current_size
| current size in kbytes
unsigned | speed
| cache speed in nanoseconds
hd_id_t | mode
| operational mode
unsigned | state
| 0/1: disabled/enabled
hd_id_t | location
| cache location
unsigned | socketed
| 0/1: not socketed/socketed
unsigned | level
| cache level (0 = L1, 1 = L2, ...)
hd_id_t | ecc
| error correction type
hd_id_t | cache_type
| logical cache type
hd_id_t | assoc
| cache associativity
hd_bitmap_t | supp_sram
| supported SRAM types
hd_bitmap_t | sram
| current SRAM type

## Detailed Description

cache information

The documentation for this struct was generated from the following file:

- hd.h